dbXML API

## org.dbxml.core.xupdate
Class XUpdateImpl

    java.lang.Object
      |
      +--org.infozone.lexus.XUpdateQueryImpl
            |
            +--org.dbxml.core.xupdate.XUpdateImpl

All Implemented Interfaces:
  java.io.Serializable, org.infozone.tools.xml.queries.XUpdateQuery

public class XUpdateImpl
extends org.infozone.lexus.XUpdateQueryImpl

Provides Collection and document based XUpdate capabilities. For more detail about XUpdate look at the XUpdate Working Draft.

See Also:
  Serialized Form

Fields inherited from class org.infozone.lexus.XUpdateQueryImpl
`NAMESPACE_URI`

Constructor Summary
`XUpdateImpl()`

Method Summary
`void` `execute(Collection col)` Execute the set of XUpdate commands against a collection.
`void` `execute(org.w3c.dom.Node contextNode)` Execute the XUpdate commands against a document.
`int` `getModifiedCount()`

Methods inherited from class org.infozone.lexus.XUpdateQueryImpl
`main, setNamespace, setNodeFilter, setQString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XUpdateImpl

    public XUpdateImpl()

Method Detail

### execute

    public void execute(org.w3c.dom.Node contextNode)
                 throws java.lang.Exception

  Execute the XUpdate commands against a document.
  Overrides:
    `execute` in class `org.infozone.lexus.XUpdateQueryImpl`

### execute

    public void execute(Collection col)
                 throws java.lang.Exception

  Execute the set of XUpdate commands against a collection.
  Parameters:
    `contextNode` - Description of Parameter
  Throws:
    `java.lang.Exception` - Description of Exception

### getModifiedCount

    public int getModifiedCount()

dbXML API

Copyright (c) 1999-2001 The dbXML Group, All rights reserved